\! echo "insert simple data to footbal_db database!";
\! echo "IMPLEMENT BY : REZA.AHMADI";

USE football_db;
\! echo '-------Start insert simple Teams !-------' ;
INSERT INTO TEAM(t_name,color,city) VALUES ('Esteghlal','Blue','Tehran');
INSERT INTO TEAM(t_name,color,city) VALUES ('Perspolis','Red','Tehran');
INSERT INTO TEAM(t_name,color,city) VALUES ('Sepahan','Yellow','Esfahan');
INSERT INTO TEAM(t_name,color,city) VALUES ('Foolad','Orange','Ahvaz');
INSERT INTO TEAM(t_name,color,city) VALUES ('Teraktor','White','Tabriz');
\! echo '-------END insert simple Teams !-------' ;

\! echo '-------Start insert simple players !-------' ;
DELIMITER //

FOR i IN 1..18
DO
  INSERT INTO PLAYER(first_name,last_name,p_num,t_name,d_from,d_to) VALUES (CONCAT('p_f', i),CONCAT('p_l', i),i,'Esteghlal','2022-01-10','2023-01-10');
END FOR;
//

DELIMITER ;


DELIMITER //

FOR i IN 1..18
DO
  INSERT INTO PLAYER(first_name,last_name,p_num,t_name,d_from,d_to) VALUES (CONCAT('p_f', i),CONCAT('p_l', i),i,'Perspolis','2022-01-10','2023-01-10');
END FOR;
//

DELIMITER ;

DELIMITER //

FOR i IN 1..18
DO
  INSERT INTO PLAYER(first_name,last_name,p_num,t_name,d_from,d_to) VALUES (CONCAT('p_f', i),CONCAT('p_l', i),i,'Sepahan','2022-01-10','2023-01-10');
END FOR;
//

DELIMITER ;

DELIMITER //

FOR i IN 1..18
DO
  INSERT INTO PLAYER(first_name,last_name,p_num,t_name,d_from,d_to) VALUES (CONCAT('p_f', i),CONCAT('p_l', i),i,'Foolad','2022-01-10','2023-01-10');
END FOR;
//

DELIMITER ;

DELIMITER //

FOR i IN 1..18
DO
  INSERT INTO PLAYER(first_name,last_name,p_num,t_name,d_from,d_to) VALUES (CONCAT('p_f', i),CONCAT('p_l', i),i,'Teraktor','2022-01-10','2023-01-10');
END FOR;
//

DELIMITER ;
\! echo '-------END insert simple players !-------' ;

\! echo '-------Start insert simple personnel !-------' ;
DELIMITER //

FOR i IN 1..4
DO
  INSERT INTO PERSONNEL(first_name,last_name,p_role) VALUES (CONCAT('per_f', i),CONCAT('per_l', i),CONCAT('role', i));
END FOR;
//

DELIMITER ;

DELIMITER //
FOR i IN 1..4
DO
  INSERT INTO PERSONNEL(first_name,last_name,p_role) VALUES (CONCAT('per_f', i),CONCAT('per_l', i),CONCAT('role', i));
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 1..4
DO
  INSERT INTO PERSONNEL(first_name,last_name,p_role) VALUES (CONCAT('per_f', i),CONCAT('per_l', i),CONCAT('role', i));
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 1..4
DO
  INSERT INTO PERSONNEL(first_name,last_name,p_role) VALUES (CONCAT('per_f', i),CONCAT('per_l', i),CONCAT('role', i));
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 1..4
DO
  INSERT INTO PERSONNEL(first_name,last_name,p_role) VALUES (CONCAT('per_f', i),CONCAT('per_l', i),CONCAT('role', i));
END FOR;
//
DELIMITER ;
\! echo '-------END insert simple personnel !-------' ;
\! echo '-------Start insert simple Have  !-------' ;

DELIMITER //
FOR i IN 1..4
DO
  INSERT INTO Have(t_name,per_f_code,d_from,d_to) VALUES ('Esteghlal',i,'2022-01-15','2023-01-15');
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 5..8
DO
  INSERT INTO Have(t_name,per_f_code,d_from,d_to) VALUES ('Perspolis',i,'2022-01-15','2023-01-15');
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 9..12
DO
  INSERT INTO Have(t_name,per_f_code,d_from,d_to) VALUES ('Sepahan',i,'2022-01-15','2023-01-15');
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 13..16
DO
  INSERT INTO Have(t_name,per_f_code,d_from,d_to) VALUES ('Foolad',i,'2022-01-15','2023-01-15');
END FOR;
//
DELIMITER ;

DELIMITER //
FOR i IN 17..20
DO
  INSERT INTO Have(t_name,per_f_code,d_from,d_to) VALUES ('Teraktor',i,'2022-01-15','2023-01-15');
END FOR;
//
DELIMITER ;

\! echo '-------END insert simple Have  !-------' ;

\! echo '-------Start insert simple Games  !-------' ;

INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Esteghlal','Sepahan','2022-03-10 15:30:00',2,1,'azadi'); -- gameid:1
INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Perspolis','Foolad','2022-03-10 17:30:00',2,1,'azadi'); -- gameid:2

INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Teraktor','Esteghlal','2022-03-15 15:30:00',2,3,'yadegar'); -- gameid:3
INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Perspolis','Sepahan','2022-03-15 17:30:00',2,2,'azadi'); -- gameid:4

INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Teraktor','Perspolis','2022-03-21 15:30:00',2,1,'yadegar'); -- gameid:5
INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Foolad','Sepahan','2022-03-21 17:30:00',2,2,'arena'); -- gameid:6

INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Esteghlal','Foolad','2022-03-26 15:30:00',2,1,'azadi'); -- gameid:7
INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Teraktor','Sepahan','2022-03-26 17:30:00',2,4,'naghshejahan'); -- gameid:8

INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Esteghlal','Perspolis','2022-04-2 15:30:00',1,1,'azadi'); -- gameid:9
INSERT INTO GAME(t1_name,t2_name,date_time,t1_goals,t2_goals,stadium) VALUES ('Teraktor','Foolad','2022-04-2 17:30:00',2,1,'arena'); -- gameid:10

\! echo '-------END insert simple Games  !-------' ;

\! echo '-------set plays of Esteghlal plalyers data!-----';
DELIMITER //
FOR i IN 1..11
DO
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,1,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,3,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,7,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,9,0,0,0);
END FOR;
//
DELIMITER ;

UPDATE Play SET goals=2 WHERE game_id=1 AND p_id_card=10  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=1 AND p_id_card=6  ; -- set yellow card to player id 6

UPDATE Play SET goals=1 WHERE game_id=3 AND p_id_card=10  ; -- set goals
UPDATE Play SET goals=2 WHERE game_id=3 AND p_id_card=9  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=3 AND p_id_card=4  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=3 AND p_id_card=5  ; -- set yellow card

UPDATE Play SET goals=1 WHERE game_id=7 AND p_id_card=8  ; -- set goals
UPDATE Play SET goals=1 WHERE game_id=7 AND p_id_card=9  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=7 AND p_id_card=8  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=7 AND p_id_card=2  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=9 AND p_id_card=11  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=9 AND p_id_card=9  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=9 AND p_id_card=6  ; -- set yellow card

\! echo '------------------------------------------------';

\! echo '-------set plays of Perspolis plalyers data!-----';
DELIMITER //
FOR i IN 19..29
DO
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,2,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,4,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,6,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,8,0,0,0);
END FOR;
//
DELIMITER ;

UPDATE Play SET goals=2 WHERE game_id=2 AND p_id_card=28  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=1 AND p_id_card=22  ; -- set yellow card to player id 6

UPDATE Play SET goals=1 WHERE game_id=4 AND p_id_card=28  ; -- set goals
UPDATE Play SET goals=1 WHERE game_id=4 AND p_id_card=27  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=4 AND p_id_card=22  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=4 AND p_id_card=25  ; -- set yellow card

UPDATE Play SET goals=1 WHERE game_id=5 AND p_id_card=28  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=5 AND p_id_card=23  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=5 AND p_id_card=25  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=9 AND p_id_card=28  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=9 AND p_id_card=27  ; -- set yellow card

\! echo '------------------------------------------------';

\! echo '-------set plays of Sepahan plalyers data!-----';
DELIMITER //
FOR i IN 37..47
DO
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,1,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,4,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,6,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,8,0,0,0);
END FOR;
//
DELIMITER ;

UPDATE Play SET goals=1 WHERE game_id=1 AND p_id_card=44  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=1 AND p_id_card=39  ; -- set yellow card to player id 6

UPDATE Play SET goals=1 WHERE game_id=4 AND p_id_card=46 ; -- set goals
UPDATE Play SET goals=1 WHERE game_id=4 AND p_id_card=47  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=4 AND p_id_card=41  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=4 AND p_id_card=39  ; -- set yellow card

UPDATE Play SET goals=2 WHERE game_id=6 AND p_id_card=28  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=6 AND p_id_card=23  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=6 AND p_id_card=25  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=8 AND p_id_card=47  ; -- set goals
UPDATE Play SET goals=3 WHERE game_id=8 AND p_id_card=46  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=8 AND p_id_card=42  ; -- set yellow card

\! echo '------------------------------------------------';

\! echo '-------set plays of Foolad plalyers data!-----';
DELIMITER //
FOR i IN 55..65
DO
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,2,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,6,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,7,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,10,0,0,0);
END FOR;
//
DELIMITER ;

UPDATE Play SET goals=1 WHERE game_id=2 AND p_id_card=64  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=2 AND p_id_card=60  ; -- set yellow card to player id 6

UPDATE Play SET goals=2 WHERE game_id=6 AND p_id_card=61 ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=6 AND p_id_card=56  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=6 AND p_id_card=63  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=7 AND p_id_card=65  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=7 AND p_id_card=62  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=7 AND p_id_card=58  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=10 AND p_id_card=59  ; -- set goals
UPDATE Play SET red_card=1 WHERE game_id=10 AND p_id_card=63  ; -- set yellow card
\! echo '------------------------------------------------';

\! echo '-------set plays of Teraktor plalyers data!-----';
DELIMITER //
FOR i IN 73..83
DO
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,3,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,5,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,8,0,0,0);
  INSERT INTO Play(p_id_card,game_id,goals,yellow_card,red_card) VALUES (i,10,0,0,0);
END FOR;
//
DELIMITER ;

UPDATE Play SET goals=1 WHERE game_id=3 AND p_id_card=80  ; -- set goals
UPDATE Play SET goals=1 WHERE game_id=3 AND p_id_card=81  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=3 AND p_id_card=75  ; -- set yellow card to player id 6

UPDATE Play SET goals=2 WHERE game_id=5 AND p_id_card=79 ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=5 AND p_id_card=80  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=5 AND p_id_card=73  ; -- set yellow card


UPDATE Play SET goals=1 WHERE game_id=8 AND p_id_card=75  ; -- set goals
UPDATE Play SET goals=1 WHERE game_id=8 AND p_id_card=78  ; -- set goals
UPDATE Play SET yellow_card=1 WHERE game_id=8 AND p_id_card=75  ; -- set yellow card
UPDATE Play SET yellow_card=1 WHERE game_id=8 AND p_id_card=81  ; -- set yellow card

UPDATE Play SET goals=2 WHERE game_id=10 AND p_id_card=83  ; -- set goals
UPDATE Play SET red_card=1 WHERE game_id=10 AND p_id_card=78  ; -- set yellow card
\! echo '------------------------------------------------';

\! echo '-------set Referee and Judges!-----';

DELIMITER //
FOR i IN 1..16
DO
  INSERT INTO REFEREE(first_name,last_name) VALUES (CONCAT('refree', i),CONCAT('referee', i));
END FOR;
//
DELIMITER ;

INSERT INTO Judges(game_id,ref_id,position) VALUES (1,1,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (1,2,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (1,3,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (1,4,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (2,5,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (2,6,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (2,7,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (2,8,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (3,1,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (3,2,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (3,3,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (3,4,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (4,5,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (4,6,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (4,7,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (4,8,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (5,9,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (5,10,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (5,11,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (5,12,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (6,1,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (6,2,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (6,3,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (6,4,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (7,13,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (7,14,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (7,15,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (7,16,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (8,5,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (8,6,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (8,7,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (8,8,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (9,9,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (9,10,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (9,11,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (9,12,4);

INSERT INTO Judges(game_id,ref_id,position) VALUES (10,5,1);
INSERT INTO Judges(game_id,ref_id,position) VALUES (10,6,2);
INSERT INTO Judges(game_id,ref_id,position) VALUES (10,7,3);
INSERT INTO Judges(game_id,ref_id,position) VALUES (10,8,4);

\! echo '------------------------------------------------';
